Skip to main content
POST
/
action
/
lead_qualifier_qualify_lead
[LQ1] Qualify Lead
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/lead_qualifier_qualify_lead \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_website": "<string>",
  "seller_product": "<string>",
  "seller_icp": "<string>",
  "output_variable_name": "qualification",
  "contact_name": "<string>",
  "fit_context": "<string>",
  "seller_website": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
company_website
string
required

Target company domain.

seller_product
string
required

Required for Problem Fit scoring.

seller_icp
string
required

Required — the scoring framework.

output_variable_name
string
default:qualification
required
Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
contact_name
string

Optional: enriches with contact-level signals.

fit_context
string

Optional user-known context.

seller_website
string

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action